Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.control
Class RandomOrderController

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.control.GenericController
              org.apache.jmeter.control.RandomOrderController

All Implemented Interfaces:
  Serializable, Cloneable, Controller, TestElement

    public class RandomOrderController

extends GenericController
implements Serializable

A controller that runs its children each at most once, but in a random order.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.control.GenericController
`current, subControllersAndSamplers`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`RandomOrderController()` Create a new RandomOrderController.

Method Summary
`void` | `initialize()` Called to initialize a controller at the beginning of a test iteration.
`protected void` | `reInitialize()` Resets the controller: resetCurrent() (i.e. current=0) increment iteration count sets first=true recoverRunningVersion() to set the controller back to the initial state

Methods inherited from class org.apache.jmeter.control.GenericController
`addIterationListener, addTestElement, currentReturnedNull, fireIterationStart, fireIterEvents, getCurrentElement, getIterCount, getSubControllers, incrementCurrent, incrementIterCount, isDone, isFirst, next, nextIsAController, nextIsASampler, nextIsNull, removeCurrentElement, resetCurrent, resetIterCount, setCurrentElement, setDone, setFirst`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### RandomOrderController

    public RandomOrderController()

  Create a new RandomOrderController.

Method Detail

### initialize

    public void initialize()

  Description copied from interface: `Controller`
  Called to initialize a controller at the beginning of a test iteration.

  Specified by:
    `initialize` in interface `Controller`
  Overrides:
    `initialize` in class `GenericController`
  See Also:
    `GenericController.initialize()`

### reInitialize

    protected void reInitialize()

  Description copied from class: `GenericController`
  Resets the controller:
  - resetCurrent() (i.e. current=0)
  - increment iteration count
  - sets first=true
  - recoverRunningVersion() to set the controller back to the initial state

  Overrides:
    `reInitialize` in class `GenericController`
  See Also:
    `GenericController.reInitialize()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.